#!/bin/bash
#SBATCH --job-name=s3_e1.0
#SBATCH --partition=defq
#SBATCH --time=12:00:00
#SBATCH --nodes=1
#SBATCH --ntasks=16
#SBATCH --error=log_error
#SBATCH --output=log_output
module purge
module load gcc/7.3.0 openmpi/2.1.2 make/4.3 cmake/3.20.2 python/3.8.0 blas/3.8.0 lapack/3.8.0 boost/1.78.0 git/2.30.1
export IGL_NUM_THREADS=1
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$HOME/local/libconfig-1.7.3/lib
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$HOME/local/gmp-6.2.1/lib
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$HOME/local/mpfr-4.2.0/lib
cd $SLURM_SUBMIT_DIR
mpirun -np $SLURM_NTASKS $HOME/Leipzig/FigX/src/Main3D -i Input.in
