#ifndef IGLWRAPPER_H
#define IGLWRAPPER_H
#include "PetscWrapper.h"
#include "EigenWrapper.h"
#include "Field3D.h"

namespace IglWrapper
{
	int WriteOFF
	(
		const std::string &name,
		const EigenWrapper::EigenMat &vertices,
		const EigenWrapper::EigenMatI &faces
	);
	int WriteSTL
	(
		const std::string &name,
		const EigenWrapper::EigenMat &vertices,
		const EigenWrapper::EigenMatI &faces
	);

	int  WriteOBJ
	(
		const std::string &name,
		const EigenWrapper::EigenMat &vertices,
		const EigenWrapper::EigenMatI &faces
	);

	int FlattenCoordinates
	(
		DM da,
		EigenWrapper::EigenMat &mat
	);

	int FlattenMarchingCubeCoordinates
	(
		DM da,
		EigenWrapper::EigenMat &mat
	);

	int FlattenedSignedDistance
	(
		const EigenWrapper::EigenMat &vertices,
		const EigenWrapper::EigenMatI &faces,
		const EigenWrapper::EigenMat &flattenedGrid,
		EigenWrapper::EigenVec &signedDistance
	);

	int MarchingCubes
	(
		const EigenWrapper::EigenMat &flattenedGrid,
		ScalarField &field,
		const PetscScalar &iso,
		EigenWrapper::EigenMat &vertices,
		EigenWrapper::EigenMatI &faces
	);

	int IntersectMeshes
	(
		const EigenWrapper::EigenMat  &Va,
		const EigenWrapper::EigenMatI &Fa,
		const EigenWrapper::EigenMat  &Vb,
		const EigenWrapper::EigenMatI &Fb,
		std::vector<EigenWrapper::EigenMat> &segments
	);

}
#endif
