#include "PetscWrapper.h"


static char help[] = "Print initial bubble volume.\n\n";


PetscInt main( int argc, char* argv[] )
{
	PetscInitialize(&argc,&argv,(char*)0,help);
	PetscInt n;
	PetscWrapper::ReadScalarInBinaryFormat(n,"bubbleNumber");
	PetscScalar *VZero;
	PetscMalloc1(n,&VZero);
	PetscWrapper::ReadScalarInBinaryFormat(VZero,"initialBubbleVolume",n);
	for (PetscInt b=0; b<n; ++b)
	{
		PetscPrintf(PETSC_COMM_WORLD,"  V[%i] = %4.2f \n",b,VZero[b]);
	}
	PetscFree(VZero);
	PetscFinalize();
	return(0);
}
