import numpy as np
import matplotlib.pyplot as plt
import math
fig, ax =plt.subplots()
x = np.linspace(-5,5,1000,endpoint=True)
y = 0.5*(1-np.tanh(x)) + 0.02*np.random.uniform(-1,1,x.shape)
#np.random.shuffle(y)
#Smoothed heaviside step function
def heaviside(x,L):
	#Minjeaud, 2013, An unconditionally stable uncoupled scheme for a triphasic Cahn-Hilliard/Navier-Stokes model
	pi = math.pi
	def l_heaviside(x,L):
		#Return smoothed step from 0 to 1 over [-L:L]
		return 1/2 + ( x/L + math.sin( pi*x/L ) / pi ) / 2
	return [ 0 if xi < -L else 1 if xi > L else l_heaviside(xi,L) for xi in x ]
#ax.plot(y-0.5,heaviside(y-1/2,0.4),'+')
ax.plot(x,y,'-')
ax.plot(x,heaviside(y-0.5,0.5),'-')
ax.grid(True)
plt.savefig('plot.pdf')
